#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    short p[3];
    unsigned long long L, R, i, br = 0;
    cin >> p[0] >> p[1] >> p[2] >> L >> R;
    if(p[0] == 1 || p[1] == 1 || p[2] == 1){
        cout << 0;
        return 0;
    }
    if(*min_element(p, p + 3) == 3 && *max_element(p, p + 3) == 3){
        br = (R - L) / 3;
        if(L % 3 == 0){
            br++;
        }
        if(R % 3 == 0){
            br++;
        }
        cout << br;
        return 0;
    }
    if(L < 60){
        for(i = L; i <= 60 && i <= R; i++){
            if(ceil((float)i / p[0]) + ceil((float)i / p[1]) + ceil((float)i / p[2]) <= i){
                br++;
            }
        }
        if(R > 60){
            br += R - 60;
        }
    }
    else{
        br = R - L + 1;
    }
    cout << br;
    return 0;
}